Bug 1434395 - SELinux is preventing ntpd from create
Summary: SELinux is preventing ntpd from create
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 12:22 UTC by John Bieren
Modified: 2017-10-31 15:35 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-31 15:35:33 UTC


Attachments (Terms of Use)

Description John Bieren 2017-03-21 12:22:41 UTC
Description of problem:
AVC error from SELinux preventing ntpd from create access


Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-246.fc27.noarch

How reproducible:
Always

Actual results:
SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
SELinux root directory:         /etc/selinux
Loaded policy name:             targeted
Current mode:                   enforcing
Mode from config file:          enforcing
Policy MLS status:              enabled
Policy deny_unknown status:     allowed
Max kernel policy version:      30
selinux-policy-3.13.1-246.fc27.noarch
----
time->Mon Mar 20 18:54:36 2017
type=AVC msg=audit(1490050476.173:152): avc:  denied  { create } for  pid=28122 comm="ntpd" scontext=system_u:system_r:ntpd_t:s0 tcontext=system_u:system_r:ntpd_t:s0 tclass=socket permissive=0


Expected results:
No AVC errors

Additional info:

Comment 2 Daniel Walsh 2017-04-19 20:12:54 UTC
This should be allowed by default.

Comment 3 Jan Kurik 2017-08-15 08:52:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Fedora Update System 2017-10-25 10:12:56 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 5 Fedora Update System 2017-10-27 18:45:39 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 6 Fedora Update System 2017-10-31 15:35:33 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.